SortedSetDocValuesFacetField (Lucene 10.5.1 facet API)
Description: declaration: package: org.apache.lucene.facet.sortedset, class: SortedSetDocValuesFacetField

Package org.apache.lucene.facet.sortedset

# Class SortedSetDocValuesFacetField

java.lang.Object
org.apache.lucene.document.Field
org.apache.lucene.facet.sortedset.SortedSetDocValuesFacetField

All Implemented Interfaces:
  `IndexableField`

public class SortedSetDocValuesFacetField extends Field
Add an instance of this to your Document for every facet label to be indexed via SortedSetDocValues.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.document.Field

  `Field.Store`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `dim`
  Dimension.
  `final String[]`
  `path`
  Path.
  `static final FieldType`
  `TYPE`
  Indexed `FieldType`.

  ### Fields inherited from class org.apache.lucene.document.Field

  `fieldsData, name, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortedSetDocValuesFacetField(String dim, String... path)`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.document.Field

  `binaryValue, fieldType, getCharSequenceValue, invertableType, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, storedValue, stringValue, tokenStream, tokenStreamValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE

    public static final FieldType TYPE
    Indexed `FieldType`.

  - ### dim

    public final String dim
    Dimension.

  - ### path

    public final String[] path
    Path.

- ## Constructor Details

  - ### SortedSetDocValuesFacetField

    public SortedSetDocValuesFacetField(String dim, String... path)
    Sole constructor.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Field`